## Name

gfmd — Gfarm metadata server

## Synopsis

`gfmd` [`options`]

## DESCRIPTION

gfmd is a Gfarm filesystem metadata server for accessing the filesystem metadata of the Gfarm filesystem. gfmd must be running on a metadata server node in advance.

It is possible for gfmd to be executed as a non-privileged user process, although only the user that executes the gfmd can be authenticated. Other users cannot use it. For details, see SETUP.private.en document

To access gfmd, the hostname and the port number should be specified by the metadb_server_host and metadb_server_port statements, respectively, in `~/.gfarm2rc` or in `%%SYSCONFDIR%%/gfarm2.conf` on a client node.

## OPTIONS

`-F` `log-file`

  Specifies a log file.

`-L` `log-level`

  Specifies a log priority level. The log output, which priority is higher or equal to this level, will be sent to syslog or standard error. Please refer gfarm2.conf(5) for the priority levels which can be specified by this option.

`-P` `pid-file`

  Specifies a file name to be used to record the process ID of gfmd.

`-S`

  Runs as slave forcedly, even if the gfmd is set to default master.

`-d`

  Specifies the debug mode. With the -d option, gfmd runs as a foreground process, not a daemon.

  If this option is specified and `-L` is not specified, the log level is set to "debug".

`-f` `config-file`

  Specifies a configuration file that is read instead of the default configuration file.

`-p` `port`

  Specifies a port number to be used by gfmd.

`-s` `syslog-facility`

  Specifies a syslog facility to report errors encountered by gfmd. By default, local0 is used.

`-t`

  Enables an audit log feature for file creation, modification and removal.

`-v`

  Makes gfmd output verbose log message on authentication. This is useful, when one has to resolve an issue about GSI authenticaion.

`-?`

  Displays a list of command options.

## FILES

`%%SYSCONFDIR%%/gfmd.conf`

  configuration file

## SEE ALSO

gfarm2.conf(5)